Subject: bug#31546: 27.0.50; macOS child frames with no mode-line mouse click problem

From: martin rudalics <[email-masked]>
Date: Sun, 27 May 2018 08:22:59 +0200

> A question: Should frames with no-accept-focus still accept mouse events? I
 > imagine the answer is yes, but just want to check in case that's the thing
 > that is different between X and NS

Note that you can already use the 'mouse-wheel-frame' parameter to
specifiy which frame should be scrolled instead of the one where the
mouse cursor is currently found.  It shouldn't be difficult to extend
that solution to other mouse activites.  But I don't yet know who's
responsible for scrolling a window when 'mouse-drag-region' is
triggered by a single mouse click.  Until your report, I didn't even
know that Emacs would scroll a window in that case although it seems
convenient (and with a scroll margin of 1 and scrolling agressively
set to 0.0 it scrolls quite smoothly).

martin